Loading...
Searching...
No Matches
_PedDiskOps Struct Reference
PedDisk

`#include <disk.h>`

## Data Fields

PedDisk *(* | alloc )(const PedDevice *dev)
int(* | alloc_metadata )(PedDisk *disk)
int(* | clobber )(PedDevice *dev)
int(* | disk_get_flag )(const PedDisk *disk, PedDiskFlag flag)
uint8_t *(* | disk_get_uuid )(const PedDisk *disk)
int(* | disk_is_flag_available )(const PedDisk *disk, PedDiskFlag flag)
int(* | disk_set_flag )(PedDisk *disk, PedDiskFlag flag, int state)
PedDisk *(* | duplicate )(const PedDisk *disk)
void(* | free )(PedDisk *disk)
int(* | get_max_primary_partition_count )(const PedDisk *disk)
bool(* | get_max_supported_partition_count )(const PedDisk *disk, int *supported)
PedAlignment *(* | get_partition_alignment )(const PedDisk *disk)
PedSector(* | max_length )(void)
PedSector(* | max_start_sector )(void)
int(* | partition_align )(PedPartition *part, const PedConstraint *constraint)
bool(* | partition_check )(const PedPartition *part)
void(* | partition_destroy )(PedPartition *part)
PedPartition *(* | partition_duplicate )(const PedPartition *part)
int(* | partition_enumerate )(PedPartition *part)
int(* | partition_get_flag )(const PedPartition *part, PedPartitionFlag flag)
const char *(* | partition_get_name )(const PedPartition *part)
uint8_t(* | partition_get_type_id )(const PedPartition *part)
uint8_t *(* | partition_get_type_uuid )(const PedPartition *part)
uint8_t *(* | partition_get_uuid )(const PedPartition *part)
int(* | partition_is_flag_available )(const PedPartition *part, PedPartitionFlag flag)
PedPartition *(* | partition_new )(const PedDisk *disk, PedPartitionType part_type, const PedFileSystemType *fs_type, PedSector start, PedSector end)
int(* | partition_set_flag )(PedPartition *part, PedPartitionFlag flag, int state)
void(* | partition_set_name )(PedPartition *part, const char *name)
int(* | partition_set_system )(PedPartition *part, const PedFileSystemType *fs_type)
int(* | partition_set_type_id )(PedPartition *part, uint8_t id)
int(* | partition_set_type_uuid )(PedPartition *part, const uint8_t *uuid)
int(* | probe )(const PedDevice *dev)
int(* | read )(PedDisk *disk)
int(* | write )(const PedDisk *disk)

## Field Documentation

## alloc

PedDisk *(* _PedDiskOps::alloc)(const PedDevice *dev)

## alloc_metadata

int(* _PedDiskOps::alloc_metadata)(PedDisk *disk)

## clobber

int(* _PedDiskOps::clobber)(PedDevice *dev)

## disk_get_flag

int(* _PedDiskOps::disk_get_flag)(const PedDisk *disk, PedDiskFlag flag)

## disk_get_uuid

uint8_t *(* _PedDiskOps::disk_get_uuid)(const PedDisk *disk)

## disk_is_flag_available

int(* _PedDiskOps::disk_is_flag_available)(const PedDisk *disk, PedDiskFlag flag)

## disk_set_flag

int(* _PedDiskOps::disk_set_flag)(PedDisk *disk, PedDiskFlag flag, int state)

## duplicate

PedDisk *(* _PedDiskOps::duplicate)(const PedDisk *disk)

## free

void(* _PedDiskOps::free)(PedDisk *disk)

## get_max_primary_partition_count

int(* _PedDiskOps::get_max_primary_partition_count)(const PedDisk *disk)

## get_max_supported_partition_count

bool(* _PedDiskOps::get_max_supported_partition_count)(const PedDisk *disk, int *supported)

## get_partition_alignment

PedAlignment *(* _PedDiskOps::get_partition_alignment)(const PedDisk *disk)

## max_length

PedSector(* _PedDiskOps::max_length)(void) | ( | void |  | ) |

## max_start_sector

PedSector(* _PedDiskOps::max_start_sector)(void) | ( | void |  | ) |

## partition_align

int(* _PedDiskOps::partition_align)(PedPartition *part, const PedConstraint *constraint)

## partition_check

bool(* _PedDiskOps::partition_check)(const PedPartition *part)

## partition_destroy

void(* _PedDiskOps::partition_destroy)(PedPartition *part)

## partition_duplicate

PedPartition *(* _PedDiskOps::partition_duplicate)(const PedPartition *part)

## partition_enumerate

int(* _PedDiskOps::partition_enumerate)(PedPartition *part)

## partition_get_flag

int(* _PedDiskOps::partition_get_flag)(const PedPartition *part, PedPartitionFlag flag)

## partition_get_name

const char *(* _PedDiskOps::partition_get_name)(const PedPartition *part)

## partition_get_type_id

uint8_t(* _PedDiskOps::partition_get_type_id)(const PedPartition *part)

## partition_get_type_uuid

uint8_t *(* _PedDiskOps::partition_get_type_uuid)(const PedPartition *part)

## partition_get_uuid

uint8_t *(* _PedDiskOps::partition_get_uuid)(const PedPartition *part)

## partition_is_flag_available

int(* _PedDiskOps::partition_is_flag_available)(const PedPartition *part, PedPartitionFlag flag)

## partition_new

PedPartition *(* _PedDiskOps::partition_new)(const PedDisk *disk, PedPartitionType part_type, const PedFileSystemType *fs_type, PedSector start, PedSector end)

Todo
  add label guessing op here

Todo
  add label guessing op here

## partition_set_flag

int(* _PedDiskOps::partition_set_flag)(PedPartition *part, PedPartitionFlag flag, int state)

## partition_set_name

void(* _PedDiskOps::partition_set_name)(PedPartition *part, const char *name)

## partition_set_system

int(* _PedDiskOps::partition_set_system)(PedPartition *part, const PedFileSystemType *fs_type)

## partition_set_type_id

int(* _PedDiskOps::partition_set_type_id)(PedPartition *part, uint8_t id)

## partition_set_type_uuid

int(* _PedDiskOps::partition_set_type_uuid)(PedPartition *part, const uint8_t *uuid)

## probe

int(* _PedDiskOps::probe)(const PedDevice *dev)

## read

int(* _PedDiskOps::read)(PedDisk *disk)

## write

int(* _PedDiskOps::write)(const PedDisk *disk)

The documentation for this struct was generated from the following files:

- include/parted/disk.h
- include/parted/disk.in.h